import pytest
from apiclient.config import get_cfg


CFG = get_cfg('gw', force_refresh=True)


@pytest.fixture
def get_creatures_call(reset_open_session):
    api_call = {
        "method": "GET",
        "url": CFG["api_url"] + '/rules/creature',
        "headers": {},
        "body": {}
    }
    return api_call


@pytest.fixture
def get_creature_call(reset_open_session):
    api_call = {
        "method": "GET",
        "url": CFG["api_url"] + '/rules/creature',
        "headers": {},
        "body": {"creature": "badder"}
    }
    return api_call
